## Struct allowed_element

zeep::xml::doctype::allowed_element

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/doctype.hpp>

    struct allowed_element : public zeep::xml::doctype::allowed_base {
      // construct/copy/destruct
      allowed_element(const std::string &);

      // public member functions
      state_ptr create_state() const;
      bool element_content() const;
      void print(std::ostream &);

      // public data members
      std::string m_name;
    };

## Description

### `allowed_element` public construct/copy/destruct

1.     allowed_element(const std::string & name);

### `allowed_element` public member functions

1.     state_ptr create_state() const;

2.     bool element_content() const;

3.     void print(std::ostream & os);